<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bonusgroupbill.mapper.BonusGroupBillMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bonusGroupBillResultMap" type="org.springblade.modules.guosen.bonusgroupbill.entity.BonusGroupBill">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="account_id" property="accountId"/>
        <result column="account_receiver_name" property="accountReceiverName"/>
        <result column="bonus_amt" property="bonusAmt"/>
        <result column="receiver_account_no" property="receiverAccountNo"/>
        <result column="receiver_bank_code" property="receiverBankCode"/>
        <result column="bank_account_type" property="bankAccountType"/>
        <result column="rate" property="rate"/>
        <result column="bonus_status" property="bonusStatus"/>
        <result column="bonus_scene_id" property="bonusSceneId"/>
        <result column="bonus_group_id" property="bonusGroupId"/>
        <result column="bonus_strategy_id" property="bonusStrategyId"/>
        <result column="bonus_strategy_account_id" property="bonusStrategyAccountId"/>
        <result column="bonus_scene_name" property="bonusSceneName"/>
        <result column="bonus_group_name" property="bonusGroupName"/>
        <result column="bonus_strategy_name" property="bonusStrategyName"/>
        <result column="bonus_date" property="bonusDate"/>
        <result column="account_is_default" property="accountIsDefault"/>
        <result column="bonus_daily_static_id" property="bonusDailyStaticId"/>
    </resultMap>


    <select id="selectBonusGroupBillPage" resultMap="bonusGroupBillResultMap">
        select * from cyzh_bonus_group_bill where is_deleted = 0
    </select>

</mapper>
